API referenceTikTok Business

POST /api/v1/accounts/{id}/tiktok-business/posts/{postId}/ad-authorization

Enables (/business/post/authorize/setting/, days 7, 30, 60, 180 or 365, default 30), extends (/business/post/authorize/) or disables the "Ad authorization" of a post so an advertiser can run it as a Spark Ad. Needs biz.spark.auth. Queued for approval (202) while approval applies

POST
/api/v1/accounts/{id}/tiktok-business/posts/{postId}/ad-authorization

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Account id

postId*string

TikTok post id, or a Postgale post id published to this account

Request Body

application/json
  1. body
action?string

Default enable

Value in"enable""disable""extend"
days?integer
Value in73060180365

Response Body

{accountId, platform, authorization}

application/json
  1. response
accountId?string
platform?string
authorization?
Example Request
curl -X POST 'https://example.com/api/v1/accounts/string/tiktok-business/posts/string/ad-authorization' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "accountId": "string",  "platform": "string",  "authorization": {    "postId": "string",    "enabled": true,    "authCode": "string",    "status": "string",    "startTime": "string",    "endTime": "string",    "days": 0  }}